# Uses of Enum Class
org.apache.lucene.analysis.hunspell.TimeoutPolicy

Packages that use TimeoutPolicy
Package
Description
org.apache.lucene.analysis.hunspell
A Java implementation of Hunspell stemming and spell-checking algorithms (`Hunspell`), and a stemming TokenFilter (`HunspellStemFilter`) based on it.

- ## Uses of TimeoutPolicy in org.apache.lucene.analysis.hunspell

  Methods in org.apache.lucene.analysis.hunspell that return TimeoutPolicy
  Modifier and Type
  Method
  Description
  `static TimeoutPolicy`
  TimeoutPolicy.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TimeoutPolicy[]`
  TimeoutPolicy.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.analysis.hunspell with parameters of type TimeoutPolicy
  Modifier
  Constructor
  Description
  ``
  `Hunspell(Dictionary dictionary, TimeoutPolicy policy, Runnable checkCanceled)`